Arduino IDE

arduino based linestage using 12B4 tubes

Arduino IDE

Postby jwhitmor » Tue Mar 10, 2015 9:08 am

A while ago, I updated to Arduino IDE version 1.5.5-r2, because it has support for some newer boards. Arduino budgiesketchV0_05.ino will not compile under this version. This is due to a conflict between the libraries: IRremote, and RobotIRremote. The fix is to move RobotIRremote out of the library folder, so when you menu select: Sketch > Import Library > ; IRremote shows up in the displayed library list, and you do not see the library RobotIRremote listed. The latest version, Arduino IDE 1.6.0 has the same problem, and the same fix. The version that Shannon posted on the forum link does not have the problem, so if you want to downgrade to the earlier version, that should work too.
If it is not making X-rays, your B+ is too low.
User avatar
jwhitmor
 
Posts: 43
Joined: Tue Jan 20, 2015 5:42 pm

Re: Arduino IDE

Postby Shannon Parks » Wed Mar 18, 2015 1:03 pm

Thanks for documenting this, Jim!

Shannon
User avatar
Shannon Parks
Site Admin
 
Posts: 3762
Joined: Tue Mar 18, 2003 5:40 pm
Location: Poulsbo, Washington


Return to budgie preamplifier

Who is online

Users browsing this forum: No registered users and 1 guest